//[navigation-compose](../../index.md)/[com.chrynan.navigation.compose](index.md)

# Package-level declarations

## Types

| Name | Summary |
|---|---|
| [ComposeNavigationContextState](-compose-navigation-context-state/index.md) | [common]<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>interface [ComposeNavigationContextState](-compose-navigation-context-state/index.md)&lt;[Destination](-compose-navigation-context-state/index.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md), [Context](-compose-navigation-context-state/index.md) : [NavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context/index.md)&lt;[Destination](-compose-navigation-context-state/index.md)&gt;&gt; : [NavigationContextState](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context-state/index.md)&lt;[Destination](-compose-navigation-context-state/index.md), [Context](-compose-navigation-context-state/index.md)&gt; |
| [ComposeNavigationDestinationState](-compose-navigation-destination-state/index.md) | [common]<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>interface [ComposeNavigationDestinationState](-compose-navigation-destination-state/index.md)&lt;[Destination](-compose-navigation-destination-state/index.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md)&gt; : [NavigationDestinationState](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-destination-state/index.md)&lt;[Destination](-compose-navigation-destination-state/index.md)&gt; |
| [ComposeNavigationScope](-compose-navigation-scope/index.md) | [common]<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>interface [ComposeNavigationScope](-compose-navigation-scope/index.md) : [NavigationScope](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-scope/index.md) |
| [ComposeNavigatorState](-compose-navigator-state/index.md) | [common]<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>interface [ComposeNavigatorState](-compose-navigator-state/index.md)&lt;[Destination](-compose-navigator-state/index.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md), [Context](-compose-navigator-state/index.md) : [NavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context/index.md)&lt;[Destination](-compose-navigator-state/index.md)&gt;&gt; : [ComposeNavigationDestinationState](-compose-navigation-destination-state/index.md)&lt;[Destination](-compose-navigator-state/index.md)&gt; , [ComposeNavigationContextState](-compose-navigation-context-state/index.md)&lt;[Destination](-compose-navigator-state/index.md), [Context](-compose-navigator-state/index.md)&gt; |
| [SaveableContextStack](-saveable-context-stack/index.md) | [common]<br>class [SaveableContextStack](-saveable-context-stack/index.md) |

## Functions

| Name | Summary |
|---|---|
| [currentContextAsState](current-context-as-state.md) | [common]<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>@[Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html)<br>fun &lt;[Destination](current-context-as-state.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md), [Context](current-context-as-state.md) : [NavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context/index.md)&lt;[Destination](current-context-as-state.md)&gt;&gt; [NavigationContextState](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context-state/index.md)&lt;[Destination](current-context-as-state.md), [Context](current-context-as-state.md)&gt;.[currentContextAsState](current-context-as-state.md)(): [State](https://developer.android.com/reference/kotlin/androidx/compose/runtime/State.html)&lt;[Context](current-context-as-state.md)&gt;<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>@[Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html)<br>fun &lt;[Destination](current-context-as-state.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md), [Context](current-context-as-state.md) : [NavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context/index.md)&lt;[Destination](current-context-as-state.md)&gt;&gt; [NavigationContextState](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context-state/index.md)&lt;[Destination](current-context-as-state.md), [Context](current-context-as-state.md)&gt;.[currentContextAsState](current-context-as-state.md)(initialCurrentContext: [Context](current-context-as-state.md)): [State](https://developer.android.com/reference/kotlin/androidx/compose/runtime/State.html)&lt;[Context](current-context-as-state.md)&gt;<br>Obtains the changes to the [ComposeNavigationContextState.currentContext](../../../navigation-compose/com.chrynan.navigation.compose/-compose-navigation-context-state/current-context.md) value and returns it as a [State](https://developer.android.com/reference/kotlin/androidx/compose/runtime/State.html). This allows it to be used in a [Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html) and cause recomposition when the value changes. |
| [currentDestinationAsState](current-destination-as-state.md) | [common]<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>@[Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html)<br>fun &lt;[Destination](current-destination-as-state.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md)&gt; [NavigationDestinationState](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-destination-state/index.md)&lt;[Destination](current-destination-as-state.md)&gt;.[currentDestinationAsState](current-destination-as-state.md)(): [State](https://developer.android.com/reference/kotlin/androidx/compose/runtime/State.html)&lt;[Destination](current-destination-as-state.md)&gt;<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>@[Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html)<br>fun &lt;[Destination](current-destination-as-state.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md)&gt; [NavigationDestinationState](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-destination-state/index.md)&lt;[Destination](current-destination-as-state.md)&gt;.[currentDestinationAsState](current-destination-as-state.md)(initialCurrentKey: [Destination](current-destination-as-state.md)): [State](https://developer.android.com/reference/kotlin/androidx/compose/runtime/State.html)&lt;[Destination](current-destination-as-state.md)&gt;<br>Obtains the changes to the [ComposeNavigationDestinationState.currentDestination](../../../navigation-compose/com.chrynan.navigation.compose/-compose-navigation-destination-state/current-destination.md) value and returns it as a [State](https://developer.android.com/reference/kotlin/androidx/compose/runtime/State.html). This allows it to be used in a [Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html) and cause recomposition when the value changes. |
| [NavContainer](-nav-container.md) | [common]<br>@[Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html)<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>fun &lt;[Destination](-nav-container.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md), [Context](-nav-container.md) : [NavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context/index.md)&lt;[Destination](-nav-container.md)&gt;&gt; [NavContainer](-nav-container.md)(navigator: [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md)&lt;[Destination](-nav-container.md), [Context](-nav-container.md)&gt;, content: @[Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html)[ComposeNavigationScope](-compose-navigation-scope/index.md).(context: [Context](-nav-container.md), destination: [Destination](-nav-container.md)) -&gt; [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))<br>@[Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html)<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>fun &lt;[Destination](-nav-container.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md), [Context](-nav-container.md) : [NavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context/index.md)&lt;[Destination](-nav-container.md)&gt;&gt; [NavContainer](-nav-container.md)(navigator: [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md)&lt;[Destination](-nav-container.md), [Context](-nav-container.md)&gt;, modifier: [Modifier](https://developer.android.com/reference/kotlin/androidx/compose/ui/Modifier.html), content: @[Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html)[ComposeNavigationScope](-compose-navigation-scope/index.md).(context: [Context](-nav-container.md), destination: [Destination](-nav-container.md)) -&gt; [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))<br>A [Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html) that listens to navigation context and destination changes from the provided [navigator](-nav-container.md) and calls the provided [content](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html) function with the latest values. |
| [rememberNavigator](remember-navigator.md) | [common]<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>@[Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html)<br>fun &lt;[Destination](remember-navigator.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md), [Context](remember-navigator.md) : [NavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context/index.md)&lt;[Destination](remember-navigator.md)&gt;&gt; [rememberNavigator](remember-navigator.md)(initialContext: [Context](remember-navigator.md)): [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md)&lt;[Destination](remember-navigator.md), [Context](remember-navigator.md)&gt;<br>@[ExperimentalNavigationApi](../../../navigation-core/navigation-core/com.chrynan.navigation/-experimental-navigation-api/index.md)<br>@[Composable](https://developer.android.com/reference/kotlin/androidx/compose/runtime/Composable.html)<br>fun &lt;[Destination](remember-navigator.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md)&gt; [rememberNavigator](remember-navigator.md)(initialDestination: [Destination](remember-navigator.md)): [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md)&lt;[Destination](remember-navigator.md), [SingleNavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-single-navigation-context/index.md)&lt;[Destination](remember-navigator.md)&gt;&gt;<br>Creates and remembers a [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md). A [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md) can be used to navigate between different UI content in an application. |
