//[navigation-core](../../index.md)/[com.chrynan.navigation](index.md)

# Package-level declarations

## Types

| Name | Summary |
|---|---|
| [AndroidNavigationHandler](-android-navigation-handler/index.md) | [android]<br>fun interface [AndroidNavigationHandler](-android-navigation-handler/index.md)&lt;[Destination](-android-navigation-handler/index.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md), [Context](-android-navigation-handler/index.md) : [NavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context/index.md)&lt;[Destination](-android-navigation-handler/index.md)&gt;&gt; |
| [AndroidNavigationScope](-android-navigation-scope/index.md) | [android]<br>interface [AndroidNavigationScope](-android-navigation-scope/index.md) : [NavigationScope](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-scope/index.md)<br>A [NavigationScope](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-scope/index.md) used on the Android platform that has access to a parent [Activity](https://developer.android.com/reference/kotlin/android/app/Activity.html) that can be used to change Activities or Fragments. |
| [BaseNavigatorImpl](-base-navigator-impl/index.md) | [common]<br>abstract class [BaseNavigatorImpl](-base-navigator-impl/index.md)&lt;[Destination](-base-navigator-impl/index.md) : [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696), [Context](-base-navigator-impl/index.md) : [NavigationContext](-navigation-context/index.md)&lt;[Destination](-base-navigator-impl/index.md)&gt;, [State](-base-navigator-impl/index.md) : [BaseNavigatorStateImpl](-base-navigator-state-impl/index.md)&lt;[Destination](-base-navigator-impl/index.md), [Context](-base-navigator-impl/index.md)&gt;&gt;(val state: [State](-base-navigator-impl/index.md)) : [ViewModel](-view-model/index.md), [Navigator](-navigator/index.md)&lt;[Destination](-base-navigator-impl/index.md), [Context](-base-navigator-impl/index.md)&gt; |
| [BaseNavigatorStateImpl](-base-navigator-state-impl/index.md) | [common]<br>abstract class [BaseNavigatorStateImpl](-base-navigator-state-impl/index.md)&lt;[Destination](-base-navigator-state-impl/index.md) : [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696), [Context](-base-navigator-state-impl/index.md) : [NavigationContext](-navigation-context/index.md)&lt;[Destination](-base-navigator-state-impl/index.md)&gt;&gt;(val initialContext: [Context](-base-navigator-state-impl/index.md)) : [NavigatorState](-navigator-state/index.md)&lt;[Destination](-base-navigator-state-impl/index.md), [Context](-base-navigator-state-impl/index.md)&gt; |
| [ExperimentalNavigationApi](-experimental-navigation-api/index.md) | [common]<br>@[Target](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-target/index.html)(allowedTargets = [[AnnotationTarget.CLASS](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-annotation-target/-c-l-a-s-s/index.html), [AnnotationTarget.FUNCTION](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-annotation-target/-f-u-n-c-t-i-o-n/index.html), [AnnotationTarget.FIELD](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-annotation-target/-f-i-e-l-d/index.html), [AnnotationTarget.PROPERTY](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-annotation-target/-p-r-o-p-e-r-t-y/index.html)])<br>annotation class [ExperimentalNavigationApi](-experimental-navigation-api/index.md)<br>Indicates that the component annotated with this annotation is experimental and could change or be removed in the future. |
| [NavigationContext](-navigation-context/index.md) | [common]<br>interface [NavigationContext](-navigation-context/index.md)&lt;[Destination](-navigation-context/index.md) : [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696)&gt;<br>Represents a navigation context, or a container of a back stack of [Destination](-navigation-context/index.md)s. Navigation can take place within a [NavigationContext](-navigation-context/index.md) typically by changing [Destination](-navigation-context/index.md) values. But an application may have multiple [NavigationContext](-navigation-context/index.md)s that can be changed and navigated through. This allows for more complex navigation paradigms, such as retaining multiple back stacks for a bottom navigation UI component. |
| [NavigationContextState](-navigation-context-state/index.md) | [common]<br>interface [NavigationContextState](-navigation-context-state/index.md)&lt;[Destination](-navigation-context-state/index.md) : [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696), [Context](-navigation-context-state/index.md) : [NavigationContext](-navigation-context/index.md)&lt;[Destination](-navigation-context-state/index.md)&gt;&gt; |
| [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696) | [common]<br>typealias [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696) = [Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)<br>Represents an intent to move to a different screen in the application. This is similar to an Intent from the MVI design pattern, but for navigation purposes.<br>For example:<br>```kotlin sealed class HomeScreenDestination : NavigationDestination() {<br>    object Feed : HomeScreenDestination() } ``` |
| [NavigationDestinationState](-navigation-destination-state/index.md) | [common]<br>interface [NavigationDestinationState](-navigation-destination-state/index.md)&lt;[Destination](-navigation-destination-state/index.md) : [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696)&gt; |
| [NavigationEvent](-navigation-event/index.md) | [common]<br>sealed class [NavigationEvent](-navigation-event/index.md)&lt;[Destination](-navigation-event/index.md) : [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696)&gt;<br>An event that is sent to a [Navigator](-navigator/index.md) to coordinate the navigation between screens. |
| [NavigationScope](-navigation-scope/index.md) | [common]<br>interface [NavigationScope](-navigation-scope/index.md)<br>Provides the ability for extra platform specific parameters to be provided to a [Navigator](-navigator/index.md). |
| [Navigator](-navigator/index.md) | [common]<br>interface [Navigator](-navigator/index.md)&lt;[Destination](-navigator/index.md) : [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696), [Context](-navigator/index.md) : [NavigationContext](-navigation-context/index.md)&lt;[Destination](-navigator/index.md)&gt;&gt;<br>A [Navigator](-navigator/index.md) is responsible for coordinating the navigation between the different UI component groupings in an application. |
| [NavigatorState](-navigator-state/index.md) | [common]<br>interface [NavigatorState](-navigator-state/index.md)&lt;[Destination](-navigator-state/index.md) : [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696), [Context](-navigator-state/index.md) : [NavigationContext](-navigation-context/index.md)&lt;[Destination](-navigator-state/index.md)&gt;&gt; : [NavigationDestinationState](-navigation-destination-state/index.md)&lt;[Destination](-navigator-state/index.md)&gt; , [NavigationContextState](-navigation-context-state/index.md)&lt;[Destination](-navigator-state/index.md), [Context](-navigator-state/index.md)&gt; <br>Represents the state of a [Navigator](-navigator/index.md), including providing the currently displayed [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696) and [NavigationContext](-navigation-context/index.md) values. |
| [SingleNavigationContext](-single-navigation-context/index.md) | [common]<br>class [SingleNavigationContext](-single-navigation-context/index.md)&lt;[Destination](-single-navigation-context/index.md) : [NavigationDestination](index.md#1223765350%2FClasslikes%2F-215881696)&gt;(val initialDestination: [Destination](-single-navigation-context/index.md)) : [NavigationContext](-navigation-context/index.md)&lt;[Destination](-single-navigation-context/index.md)&gt; <br>An implementation of the [NavigationContext](-navigation-context/index.md) interface that doesn't have multiple contexts. Typically, a [NavigationContext](-navigation-context/index.md) will either be a sealed class or an enum representing the different contexts for navigation. This is common, for instance, for a UI with a bottom navigation bar, where each navigation item in that bottom navigation bar component would be a different context. Each context would retain its own stack of destinations in the [Navigator](-navigator/index.md). However, sometimes it may be preferable to have only a single context for navigation, and in this case, this class can be used. |
| [StackDuplicateContentStrategy](-stack-duplicate-content-strategy/index.md) | [common]<br>enum [StackDuplicateContentStrategy](-stack-duplicate-content-strategy/index.md) : [Enum](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html)&lt;[StackDuplicateContentStrategy](-stack-duplicate-content-strategy/index.md)&gt; |
| [ViewModel](-view-model/index.md) | [common, android, js, jvm]<br>[common]<br>expect abstract class [ViewModel](-view-model/index.md)<br>[android]<br>actual abstract class [ViewModel](-view-model/index.md) : [ViewModel](https://developer.android.com/reference/kotlin/androidx/lifecycle/ViewModel.html)<br>[js, jvm]<br>actual abstract class [ViewModel](-view-model/index.md) |

## Functions

| Name | Summary |
|---|---|
| [goTo](go-to.md) | [common]<br>fun &lt;[Destination](go-to.md) : [Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html), [Context](go-to.md) : [NavigationContext](-navigation-context/index.md)&lt;[Destination](go-to.md)&gt;&gt; [Navigator](-navigator/index.md)&lt;[Destination](go-to.md), [Context](go-to.md)&gt;.[goTo](go-to.md)(destination: [Destination](go-to.md))<br>Goes to the provided [destination](go-to.md) using the provided stack duplicate content strategy. Depending on the current [Context](go-to.md) stack, this will either clear the current [Context](go-to.md) stack to the last value that equals the provided [destination](go-to.md), or add the provided [destination](go-to.md) to the top of the current [Context](go-to.md) stack. |
| [navigator](navigator.md) | [android]<br>fun &lt;[Destination](navigator.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md), [Context](navigator.md) : [NavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context/index.md)&lt;[Destination](navigator.md)&gt;&gt; [navigator](navigator.md)(initialContext: [Context](navigator.md)): [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md)&lt;[Destination](navigator.md), [Context](navigator.md)&gt;<br>Creates a [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md) using the provided [initialContext](navigator.md).<br>[android]<br>fun &lt;[Destination](navigator.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md)&gt; [navigator](navigator.md)(initialDestination: [Destination](navigator.md)): [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md)&lt;[Destination](navigator.md), [SingleNavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-single-navigation-context/index.md)&lt;[Destination](navigator.md)&gt;&gt;<br>Creates a [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md) with a [SingleNavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-single-navigation-context/index.md) using the provided [initialDestination](navigator.md). |
| [registerNavigationHandler](register-navigation-handler.md) | [android]<br>fun &lt;[Destination](register-navigation-handler.md) : [NavigationDestination](../../../navigation-core/com.chrynan.navigation/-navigation-destination/index.md), [Context](register-navigation-handler.md) : [NavigationContext](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-context/index.md)&lt;[Destination](register-navigation-handler.md)&gt;&gt; [AppCompatActivity](https://developer.android.com/reference/kotlin/androidx/appcompat/app/AppCompatActivity.html).[registerNavigationHandler](register-navigation-handler.md)(navigator: [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md)&lt;[Destination](register-navigation-handler.md), [Context](register-navigation-handler.md)&gt;, eventDispatcher: CoroutineDispatcher = Dispatchers.IO, handlerDispatcher: CoroutineDispatcher = Dispatchers.Main, handler: [AndroidNavigationHandler](-android-navigation-handler/index.md)&lt;[Destination](register-navigation-handler.md), [Context](register-navigation-handler.md)&gt;) |
